'\"
'\" Copyright (c) 2004 Joe English
'\"
.so man.macros
.TH label n 0.2 tile "Tile Widget Set"
.BS
.SH NAME
label \- Display a text string and/or image
.SH SYNOPSIS
\fBlabel\fR \fIpathName \fR?\fIoptions\fR?
.BE
.SH DESCRIPTION
A \fBlabel\fP widget displays a textual label and/or image.
The label may be linked to a Tcl variable 
to automatically change the displayed text.
.SO
\-class	\-compound	\-cursor	\-image
\-style	\-takefocus	\-text	\-textvariable
\-underline	\-width
.SE
.SH "OPTIONS"
.OP \-anchor anchor Anchor
Specifies how the information in the widget is positioned
relative to the inner margins.  Legal values are
\fBn\fR, \fBne\fR, \fBe\fR, \fBse\fR,
\fBs\fR, \fBsw\fR, \fBw\fR, \fBnw\fR, and \fBcenter\fR.
.OP \-padding padding Padding
Specifies the amount of extra space to allocate for the widget.
The padding is a list of up to four length specifications 
\fIleft top right bottom\fR.
If fewer than four elements are specified, 
\fIbottom\fR defaults to \fItop\fR,
\fIright\fR defaults to \fIleft\fR, and 
\fItop\fR defaults to \fIleft\fR.
.OP \-relief relief Relief
Specifies the 3-D effect desired for the widget border.
Valid values are
\fBflat\fR, \fBgroove\fR, \fBraised\fR, \fBridge\fR, \fBsolid\fR, 
and \fBsunken\fR.
.OP \-text text Text
Specifies a text string to be displayed inside the widget
(unless overridden by \fB-textvariable\fR).
.SH "WIDGET COMMAND"
.TP
\fIpathName \fBcget\fR \fIoption\fR
.TP
\fIpathName \fBconfigure\fR ?\fIoption\fR? ?\fIvalue option value ...\fR?
.TP
\fIpathName \fBinstate \fIstatespec\fR ?\fIscript\fR?
.TP
\fIpathName \fBstate\fR ?\fIstateSpec\fR?
See \fIwidget(n)\fP
.SH "SEE ALSO"
widget(n)
