'\"
'\" Copyright (c) 2004 Joe English
'\" style.n,v 1.5 2004/02/15 20:53:55 jenglish Exp
'\" 
.so man.macros
.TH style n 0.2 tile "Tile Widget Set"
.BS
.SH NAME
style \- Control overall look and feel of widgets
.SH SYNOPSIS
\fBstyle\fR \fIoption\fR ?\fIargs\fR?
.BE
.SH DEFINITIONS
.PP
Each widget is assigned a \fIstyle\fR,
which specifies the set of elements making up the widget
and how they are arranged, along with dynamic and default
settings for element resources.  By default, the style name
is the same as the widget's class.
.PP
A \fItheme\fR is a collection of elements and styles 
which controls the overall look and feel of an application.
.SH DESCRIPTION
The \fBstyle\fR command takes the following arguments:
.TP
\fBstyle default \fIstyle\fR ? \fI-option value...\fR ?
Sets the default value of the specified option(s) in \fIstyle\fR.
.TP
\fBstyle map \fIstyle\fR ?\fI-option\fR { \fIstatespec value\fR } ... ?
Sets dynamic values of the specified option(s) in \fIstyle\fR.
See "\fBSTATE MAPS\fR", below.
.TP
\fBstyle layout \fIstyle\fR ?\fIlayoutSpec\fR?
Define the widget layout for style \fIstyle\fR.  
See "\fBLAYOUTS\fR" below for the format of \fIlayoutSpec\fR.
If \fIlayoutSpec\fR is omitted, return the layout specification
for style \fIstyle\fR.
.TP 
\fBstyle element create\fR \fIelementName\fR \fItype\fR ?\fIargs...\fR?
Creates a new element in the current theme of type \fItype\fR.
The only built-in element type is \fIpixmap\fR (see \fIpixmap(n)\fR),
although themes may define other element types 
(see \fBTTK_RegisterElementFactory\fR).
.TP 
\fBstyle element names\fR
Returns a list of all elements defined in the current theme.
.TP
\fBstyle theme create\fR \fIthemeName\fR ?\fB-parent \fIbasedon\fR? ?\fB-settings \fIscript...\fR ?
Creates a new theme.  It is an error if \fIthemeName\fR already exists.
If \fI-parent\fR is specified, the new theme will inherit
styles, elements, and layouts from the parent theme \fIbasedon\fB.
If \fI-settings\fR is present, \fIscript\fP is evaluated in the
context of the new theme as per \fBstyle theme settings\fP.
.TP
\fBstyle theme settings \fIthemeName\fP \fIscript\fP
Temporarily sets the current theme to \fIthemeName\fR, 
evaluate \fIscript\fR, then restore the previous theme.
Typically \fIscript\fP simply defines styles and elements,
though arbitrary Tcl code may appear.
.TP
\fBstyle theme names\fR
Returns a list of the available themes.
.TP
\fBstyle theme use\fR \fIthemeName\fR
Sets the current theme to \fIthemeName\fR, and refreshes all widgets.

.SH LAYOUTS
\fI@@@ describe...\fR

.SH "STATE MAPS"
\fI@@@ describe...\fR

.SH "SEE ALSO"
tile-intro, widget, pixmap
.SH KEYWORDS
style, theme, appearance

