#
# Interactive test for -compound option.
#

lappend auto_path .
package require tile

# Load icons...
source ../demos/iconlib.tcl
set icons {new open error}
foreach icon $icons {
    set Icon($icon) [image create photo -data $ImgData($icon)]
}

tlabel .tb -image $Icon(new) -text text -compound left -padding {10 10}
label .b -image $Icon(new) -text text -compound left -padx 10 -pady 10

variable compoundStrings {text image center top bottom left right none}

set c [labelframe .cctl -text "Compound"]
foreach string $compoundStrings {
    pack [tradiobutton $c.$string -text [string totitle $string] \
    	-variable compound -value $string -command setCompound] \
    -side top -expand false -fill x ;
}

set c [labelframe .ictl -text "Icon"]
set ::Icon(none) ""
pack [tradiobutton $c.inone -text "None" \
    -variable icon -value $string -command setIcon] \
    -side top -expand false -fill x;
foreach string $icons {
    pack [tradiobutton $c.i$string -text $string \
    	-variable icon -value $string -command setIcon] \
    -side top -expand false -fill x;
}

variable anchorStrings {n ne e se s sw w nw center}
set c [labelframe .actl -text "Anchor"]
foreach string $anchorStrings {
    pack [tradiobutton $c.$string -text $string \
    	-variable anchor -value $string -command setAnchor] \
    -side top -expand false -fill x ;
}

variable reliefStrings {flat groove raised ridge solid sunken}
set c [labelframe .rctl -text "Relief"]
foreach string $reliefStrings {
    pack [tradiobutton $c.$string -text $string \
    	-variable relief -value $string -command setRelief] \
    -side top -expand false -fill x ;
}

pack .cctl -side left -expand false -fill none -anchor n
pack .ictl -side left -expand false -fill none -anchor n
pack .actl -side left -expand false -fill none -anchor n
pack .rctl -side left -expand false -fill none -anchor n
pack .tb .b -side top -expand true -fill both

proc setCompound {} {
    .tb configure -compound $::compound
    catch { .b configure -compound $::compound }
}

proc setAnchor {} {
    .tb configure -anchor $::anchor
    .b configure -anchor $::anchor
}

proc setRelief {} {
    .tb configure -relief $::relief
    .b configure -relief $::relief
}

proc setIcon {} {
    global Icon icon
    .tb configure -image $Icon($icon)
    .b configure -image $Icon($icon)
}

